<?php 
include"../../aut_verifica.inc.php";
require_once('../config/lang/eng.php');
require_once('../tcpdf.php');
error_reporting(E_ERROR | E_PARSE);
	header('Content-Type: text/html; charset=UTF-8');
	date_default_timezone_set('America/Caracas');
	header("Last-Modified: " . gmdate("D, d M Y H:i ") . " GMT"); 
	header("Cache-Control: no-store, no-cache, must-revalidate"); 
	header("Cache-Control: post-check=0, pre-check=0", false); 
	header("Pragma: no-cache");	
//$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, 'A4', true, 'UTF-8', false);	
$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, 'A5', true, 'UTF-8', false);
// Informacion del Documento
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('CLOPEZ');
$pdf->SetTitle('NOTAS DE CREDITO');
$pdf->SetSubject('');
$pdf->SetKeywords('');
$pdf->AddPage('L');

//$pdf->SetFont('Arial', 'BIU', 100);

$codigo_x=$_GET['usuario'];
$fecha_ingreso=date('Y-m-d - h:i:s A');
$fecha_registro_debito=date('Y-m-d');
$token=$_GET['token'];
$n_factura=$_GET['n_factura'];
$usuarios_conectadosx=mysql_query("select * from  tabla_usuarios where id='".$codigo_x."'",$link);
$ver_usuariosx=mysql_fetch_array($usuarios_conectadosx);

// CONTROL DE FACTURA
	$chequear_datosx=mysql_query("Select * from  tabla_anticipo_xls where tipo_banco='16'  ORDER BY id DESC",$link);
	$chequearx=mysql_fetch_array($chequear_datosx);
	$n_factura_contador=$chequearx['referencia_bancaria']+1;
	$chequear_datosx2=mysql_query("Select * from  tabla_anticipo_xls where tipo_banco='16' and n_factura='".$n_factura."' ",$link);
	$chequearx2=mysql_fetch_array($chequear_datosx2);
	$validar_x=$chequearx2['n_factura'];
	//$n_control=$chequearx['n_control']+1;
	//$n_factura_contador='00000001';
if($validar_x==''){
	$n_factura_contador=$n_factura_contador;
} else {
	$n_factura_contador=$chequearx['referencia_bancaria'];
}	
//FIN DE CONTROL 	
	
	
	
	
	
	$chequear_datosx2x=mysql_query("Select * from  tabla_nota_credito_detalle where token='".$token."' and n_factura='".$n_factura."'",$link);
	$chequearx2x=mysql_fetch_array($chequear_datosx2x);
	
	$chequear_datosx2=mysql_query("Select * from  tabla_factura_xls where token='".$token."' and n_factura='".$n_factura."'",$link);
	$chequearx2=mysql_fetch_array($chequear_datosx2);
	$n_factura=$chequearx2['n_factura'];
	$formato_fecha=$chequearx2x['fecha_nc'];
	$fecha_factura_fact=$chequearx2x['fecha_factura'];
	$fecha_pago_fact=$chequearx2x['fecha_pago'];
	$codigo_cliente=$chequearx2['cod_cliente'];
	$tasa_dolar_fact=$chequearx2['tasa_dolar'];
	$monto_dolares=$chequearx2['monto_dolares'];
	$tipo_nota=$chequearx2x['tipo_concepto'];
	$estatus_nd=$chequearx2x['estatus'];
	
	
	$chequear_concepto=mysql_query("Select * from  tabla_notas_debito_credito where id='".$tipo_nota."' ",$link);
	$chequear_concepto_ver=mysql_fetch_array($chequear_concepto);
	
	$pieces_fecha=explode("-", $formato_fecha);
	$ano_x=$pieces_fecha[0]; // piece1
	$mes_x=$pieces_fecha[1]; // piece1
	$dia_x=$pieces_fecha[2]; // piece1
	$fecha_factura=$dia_x.'/'.$mes_x.'/'.$ano_x;	
	
	$pieces_fechax=explode("-", $fecha_factura_fact);
	$ano_x1=$pieces_fechax[0]; // piece1
	$mes_x1=$pieces_fechax[1]; // piece1
	$dia_x1=$pieces_fechax[2]; // piece1
	$fecha_factura_factx1=$dia_x1.'/'.$mes_x1.'/'.$ano_x1;

	$pieces_fechax1=explode("-", $fecha_pago_fact);
	$ano_x11=$pieces_fechax1[0]; // piece1
	$mes_x11=$pieces_fechax1[1]; // piece1
	$dia_x11=$pieces_fechax1[2]; // piece1
	$fecha_pago_factx1=$dia_x11.'/'.$mes_x11.'/'.$ano_x11;
	
	$consulta_cliente=mysql_query("select * from  tabla_clintes_xls where id='".$codigo_cliente."' and eliminar='0' and estatus='0' ORDER BY id DESC ",$link);
	$ver_consulta_cliente=mysql_fetch_array($consulta_cliente);

$html1 ='
		<br>
		<br>
		<br>
		<br>
		<br>
		<br>
		<br>

	
		<table>
			<tr>
				<td><h3>FECHA EMISION: '.$fecha_factura.'</h3></td>
				<td><h1 style="text-align: right;">NOTA DE CREDITO Nº: SERIE A'.str_pad($n_factura_contador, 8,'0', STR_PAD_LEFT).'</h1></td>
			</tr>	
		</table>
		RAZON SOCIAL:'.$ver_consulta_cliente['descripcion'].' <br>
		RIF DEL CLIENTE:'.$ver_consulta_cliente['rif'].'<br>
		DIRECCION: '.$ver_consulta_cliente['direccion'].'<br><br>
		<b>FACTURA AFECTADA:</b> FECHA FACTURA: '.$fecha_factura_factx1.' - NUMERO DE FACTURA: '.str_pad($n_factura, 8,'0', STR_PAD_LEFT).' -  MONTO: '.number_format($chequearx2['monto_factura'], 2, ',','.').' Bs.
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
		<br>
		<table border="0">
			<tr>
				<td WIDTH="45%">DESCRIPCION</td>
				<td WIDTH="05%">TIPO</td>
				<td WIDTH="15%" style="text-align: center;">U. MEDIDA</td>
				<td WIDTH="10%" style="text-align: right;">CANTIDAD</td>
				<td WIDTH="10%" style="text-align: right;">PRECIO U.</td>
				<td WIDTH="05%" style="text-align: right;">IMP.</td>
				<td WIDTH="12%" style="text-align: right;">SUB TOTAL</td>
			</tr>
		</table>
		----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	';

	$detalle_orden_carga=mysql_query("select * from tabla_nota_credito_detalle where  n_factura='$n_factura' and token='$token' ",$link);
	while($ver_detalle_orden_carga=mysql_fetch_array($detalle_orden_carga)){
		$tipo_ivax=$ver_detalle_orden_carga['iva'];
		if($tipo_ivax=='0'){
			$t_iva='(E)';
		} else {
			$t_iva='(G)';
		}		
	$cod_producto=$ver_detalle_orden_carga['cod_producto'];
	$cod_unidad=$ver_detalle_orden_carga['cod_unidad'];
	$precio_u=$ver_detalle_orden_carga['precio_u'];
	$tipo_iva=$ver_detalle_orden_carga['tipo_iva'];
	$sud_total=$ver_detalle_orden_carga['sud_total'];
	
	
	
	$productos_ventax=mysql_query("select * from tabla_productos where id='$cod_producto'  ",$link);
	$p_ventax=mysql_fetch_array($productos_ventax);		
	$u_medida=mysql_query("select * from  tabla_unidad_medida where id='$cod_unidad'  ",$link);
	$ver_u_medida=mysql_fetch_array($u_medida);	


	$i++;
	$html51[]='
	<table  border="0" WIDTH="100%">
	  <tr>
		<td WIDTH="45%">'.$p_ventax['nombre_producto'].'</td>
		<td WIDTH="05%">'.$t_iva.'</td>
		<td WIDTH="15%" style="text-align: center;">'.$ver_u_medida['nombre'].'</td>
		<td WIDTH="10%" style="text-align: right;">'.number_format($ver_detalle_orden_carga['cantidad'], 2, ',','.').'</td>
		<td WIDTH="10%"style="text-align: right;">'.number_format($precio_u, 4, ',','.').'</td>
		<td WIDTH="05%"style="text-align: right;">'.$tipo_iva.' %</td>
		<td WIDTH="12%" style="text-align: right;">'.number_format($sud_total, 2, ',','.').'</td>
	  </tr> 
	</table>
	 '; 
}
$orden_facturax1=mysql_query("select SUM(total_execto),SUM(base_imponible),SUM(iva),SUM(total_facturado),estatus,n_factura,token from  tabla_nota_credito_detalle where n_factura='$n_factura' and token='$token'  GROUP BY token ORDER BY id DESC  ",$link);
$ver_facturax1=mysql_fetch_array($orden_facturax1);
$total_exento_bs=$ver_facturax1['SUM(total_execto)'];	
$base_imponible_bs=$ver_facturax1['SUM(base_imponible)'];	
$total_iva=$ver_facturax1['SUM(iva)'];	
$total_factura=$ver_facturax1['SUM(total_facturado)'];	



		
$html3 ='
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
<br>
	<table border="0">
		<tr>
			<td WIDTH="50%">MOTIVO: '.$chequear_concepto_ver['concepto'].'</td>
			<td WIDTH="10%"></td>
			<td WIDTH="10%"></td>
			<td WIDTH="20%" style="text-align: right;">TOTAL EXENTO Bs.:</td>
			<td WIDTH="12%" style="text-align: right;">'.number_format($total_exento_bs, 2, ',','.').'</td>
		</tr>	
		<tr>
			<td WIDTH="50%"></td>
			<td WIDTH="10%"></td>
			<td WIDTH="10%"></td>		
			<td WIDTH="20%" style="text-align: right;">BASE IMPONIBLE Bs.:</td>
			<td WIDTH="12%" style="text-align: right;">'.number_format($base_imponible_bs, 2, ',','.').'</td>
		</tr>	
		<tr>
			<td WIDTH="50%">'.$mensaje.'</td>
			<td WIDTH="10%"></td>
			<td WIDTH="10%"></td>
			<td WIDTH="20%" style="text-align: right;">TOTAL IVA 16 % Bs.:</td>
			<td WIDTH="12%" style="text-align: right;">'.number_format($total_iva, 2, ',','.').'</td>
		</tr>
		<tr>
			<td WIDTH="40%"></td>
			<td WIDTH="20%"></td>
			<td WIDTH="10%"></td>
			<td WIDTH="20%" style="text-align: right;">TOTAL DE AJUSTE Bs.:</td>
			<td WIDTH="12%" style="text-align: right;">'.number_format($total_factura, 2, ',','.').'</td>
		</tr>
		
	</table>
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
';

if($estatus_nd=='0') {
	
	$chequear_saldo_nd=mysql_query("Select SUM(total_facturado),token,n_factura,tasa_pago from  tabla_nota_credito_detalle where token='".$token."' and n_factura='".$n_factura."'",$link);
	$ver_chequear_saldo_nd=mysql_fetch_array($chequear_saldo_nd);
		
	$cod_cliente=$codigo_cliente;
	$tipo_documento='1';

	$n_control=$n_control;
	$fecha_factura=$fecha_factura_fact;
	$monto_factura=$ver_chequear_saldo_nd['SUM(total_facturado)'];
	$tasa_dolar=$tasa_dolar_fact;
	$monto_dolares=$monto_factura/$ver_chequear_saldo_nd['tasa_pago'];
	$cod_usuario=$ver_usuariosx['id'];
	$fecha_registro_real=$fecha_ingreso;
	$estatus='0';
	$n_factura_debito=$n_factura;

	$chequear_insert=mysql_query("Select * from  tabla_anticipo_xls where n_factura='".$n_factura."'",$link);
	$ver_chequear_insert=mysql_fetch_row($chequear_insert);
	if($ver_chequear_insert[0]=="")	{
							$chequear_datosx_ncontrol=mysql_query("Select * from  tabla_ncontrol_documento  ORDER BY id DESC",$link);
							$chequearx_n_control=mysql_fetch_array($chequear_datosx_ncontrol);
							$n_control=$chequearx_n_control['n_control']+1;
							$n_serie_control='00';			
		
		
			//mysql_query("INSERT INTO tabla_factura_xls (cod_cliente,tipo_documento,n_factura,n_control,fecha_factura,monto_factura,tasa_dolar,monto_dolares,cod_usuario,fecha_registro_real,estatus,n_factura_debito,fecha_registro_debito,eliminar) VALUES ('".$cod_cliente."','".$tipo_documento."','".$n_factura_contador."','".$n_control."','".$fecha_factura."','".$monto_factura."','".$tasa_dolar."','".$monto_dolares."','".$cod_usuario."','".$fecha_registro_real."','".$estatus."','".$n_factura_debito."','".$fecha_registro_debito."','".$eliminar."')",$link);
			mysql_query("INSERT INTO tabla_anticipo_xls (cod_cliente,tipo_banco,facha_deposito,fecha_registro,referencia_bancaria,monto_trans,tasa_dolar,monto_dolar,cod_usuario,fecha_registro_real,estatus,n_factura) VALUES ('".$cod_cliente."','16','".$fecha_factura."','".$fecha_registro_debito."','".$n_factura_contador."','".$monto_factura."','".$ver_chequear_saldo_nd['tasa_pago']."','".$monto_dolares."','".$cod_usuario."','".$fecha_registro_real."','0','".$n_factura."')",$link);
			mysql_query("update tabla_nota_credito_detalle set estatus='1',n_control_nc='".$n_control."',tipo_concepto='".$chequear_concepto_ver['id']."',n_nota_credito='".$n_factura_contador."' where n_factura='".$n_factura."'  ",$link);
			mysql_query("INSERT INTO tabla_ncontrol_documento (tipo_documento,n_serie_control,n_control,n_documento,fecha_documento,fecha_imprecion,estatus) VALUES ('NTC','".$n_serie_control."','".$n_control."','".$n_factura_contador."','".$fecha_factura."','".$fecha_registro_real."','1')",$link);

		} 	
} 	

		
$pdf->SetFont('', '', 7, '', 'false');
//$pdf->SetFont('helvetica', '', 7);
$pdf->writeHTML($html1, true, 0, true, true);
$pdf->Ln(1);
//$pdf->SetFont('freesans', '', 7, '', 'false');
for($x=0;$x<=$i;$x++){
	$pdf->writeHTML($html51[$x], true, 0, true, true);
	$pdf->Ln(1);
}
//$pdf->SetFont('freesans', '', 7);
$pdf->SetFont('', '', 8.2, '', 'false');
$pdf->writeHTML($html3, true, 0, true, true);
$pdf->Ln(1); 
//$pdf->SetFont('freesans', '', 7);
//$pdf->writeHTML($html4, true, 0, true, true);
//$pdf->Ln(1); 
//$pdf->SetFont('freesans', '', 7);
$pdf->SetFont('', '',7, '', 'false');
$pdf->writeHTML($html5, true, 0, true, true);
$pdf->Ln(1); 
$pdf->Output('ND-'.$n_factura_contador.'-'.$fecha_actualxls.'.pdf', 'I');
?>